/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0 and the Server Side Public License, v 1; you may not use this file except
 * in compliance with, at your election, the Elastic License 2.0 or the Server
 * Side Public License, v 1.
 */

import type { CoreSecurityDelegateContract } from '@kbn/core-security-server';

export const getDefaultSecurityImplementation = (): CoreSecurityDelegateContract => {
  return {
    authc: {
      getCurrentUser: () => null,
    },
    audit: {
      asScoped: () => {
        return { log: () => undefined, enabled: false };
      },
      withoutRequest: {
        log: () => undefined,
        enabled: false,
      },
    },
  };
};
